﻿using System;
using System.Collections;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Services;
using System.Web.Services.Protocols;
using System.Xml.Linq;
using System.Drawing;
using System.Drawing.Imaging;
using System.IO;

namespace ComparisSilverlightChallenge_Web
{
    /// <summary>
    /// Simple handler that delivers images from the Picture table in
    /// the ComparisCarfinder database. Use the id parameter to retrieve
    /// the picture.
    /// </summary>
    /// <remarks>
    /// TThis sample code can be used, modified or removed for the competition.
    /// </remarks>
    /// <example>
    /// http://localhost:53730/Image.ashx?id=1
    /// </example>
    [WebService(Namespace = "http://tempuri.org/")]
    [WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
    public class Image : IHttpHandler
    {

        public void ProcessRequest(HttpContext context)
        {
            int pictureID;

            pictureID = int.Parse(HttpContext.Current.Request.QueryString["id"]);

            using (ComparisCarfinderDBDataContext carfinderDB = new ComparisCarfinderDBDataContext())
            {
                var pictures = from m in carfinderDB.Pictures
                               where m.PictureID == pictureID
                               select m;

                Picture picture = pictures.First<Picture>();

                context.Response.ContentType = picture.ContentType;
                context.Response.OutputStream.Write(picture.Picture1.ToArray(), 0, picture.Picture1.Length);
            }
        }

        public bool IsReusable
        {
            get
            {
                return false;
            }
        }
    }
}
